import type { InteractionSceneEvent } from "../../shared/scene-types/interaction"
import type { ChoiceSceneEvent } from "../../shared/scene-types/choice"
import type { TextSceneEvent } from "../../shared/scene-types/text"
import { InteractionSceneType } from "./interaction"
import { TextSceneType } from "./text"
import { ChoiceSceneType } from "./choice"

export type SceneEvent = InteractionSceneEvent | ChoiceSceneEvent | TextSceneEvent

export const sceneTypesById = {
    "interaction": InteractionSceneType,
    "choice": ChoiceSceneType,
    "text": TextSceneType
} as const